# -*- coding: utf-8 -*-
"""
Created on Mon Aug 25 10:15:46 2014

@author: manuel
"""

import sys, math
from PyQt4 import QtGui, QtCore

class Example(QtGui.QWidget):

    def __init__(self):
        super(Example, self).__init__()

        self.initUI()

    def initUI(self):

        self.setGeometry(80, 40, 300, 300)
        self.setWindowTitle('Elipses')
        self.setWindowIcon(QtGui.QIcon('./iconos/Bomb.png'))
        self.show()

    def paintEvent(self, e):

        qp = QtGui.QPainter()
        qp.begin(self)
        self.drawPoints(qp)
        qp.end()

    def drawPoints(self, qp):

        qp.setPen(QtCore.Qt.blue)

        R = 40.0
        for j in range(5):
            dt = 1/(1.6*R)
            t = 0.0
            xc = 150
            yc = 150
            while t < math.pi/2 :
                x = 0.8*R*math.cos(t)
                y = 1.6*R*math.sin(t)
                
                # Elipses Horizontales
                qp.drawPoint(xc+x, yc+y)
                qp.drawPoint(xc-x, yc+y)
                qp.drawPoint(xc+x, yc-y)
                qp.drawPoint(xc-x, yc-y)

                # Elipses Verticales
                qp.drawPoint(xc+y,yc+x)
                qp.drawPoint(xc-y,yc+x)
                qp.drawPoint(xc+y,yc-x)
                qp.drawPoint(xc-y,yc-x)

                t += dt
            R += 10


        qp.setPen(QtCore.Qt.black)
        for k in range(10,290,3):
            qp.drawPoint(k, 150)
            qp.drawPoint(150, k)


        qp.setFont(QtGui.QFont('Arial',16))
        txt = 'BUAP'
        lon = len(txt)
        shift = lon // 2
        qp.drawText(xc-16*shift,yc, txt)
        
        qp.setFont(QtGui.QFont('Arial',10))
        qp.drawText(285,145, 'X')
        qp.drawText(155, 20, 'Y')

def main():

    app = QtGui.QApplication(sys.argv)
    ex = Example()
    sys.exit(app.exec_())


if __name__ == '__main__':
    main()
